Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Resource

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Resource

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Resource

extends Object

This element describes all of the classpath resources associated with a project or unit tests.

Java class for Resource complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Resource">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="targetPath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="filtering" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="directory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="includes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="include" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="excludes" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="exclude" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Resource.Excludes` Java class for anonymous complex type.
`static class` | `Resource.Includes` Java class for anonymous complex type.

Field Summary
`protected String` | `directory`
`protected Resource.Excludes` | `excludes`
`protected Boolean` | `filtering`
`protected Resource.Includes` | `includes`
`protected String` | `targetPath`

Constructor Summary
`Resource()`

Method Summary
`String` | `getDirectory()` Gets the value of the directory property.
`Resource.Excludes` | `getExcludes()` Gets the value of the excludes property.
`Resource.Includes` | `getIncludes()` Gets the value of the includes property.
`String` | `getTargetPath()` Gets the value of the targetPath property.
`Boolean` | `isFiltering()` Gets the value of the filtering property.
`void` | `setDirectory(String value)` Sets the value of the directory property.
`void` | `setExcludes(Resource.Excludes value)` Sets the value of the excludes property.
`void` | `setFiltering(Boolean value)` Sets the value of the filtering property.
`void` | `setIncludes(Resource.Includes value)` Sets the value of the includes property.
`void` | `setTargetPath(String value)` Sets the value of the targetPath property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String targetPath

### filtering

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean filtering

### directory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String directory

### includes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Resource.Includes includes

### excludes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Resource.Excludes excludes

Constructor Detail

### Resource

    public Resource()

Method Detail

### getTargetPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getTargetPath()

  Gets the value of the targetPath property.

  Returns:
    possible object is `String`

### setTargetPath

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTargetPath(String value)

  Sets the value of the targetPath property.

  Parameters:
    `value` - allowed object is `String`

### isFiltering

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isFiltering()

  Gets the value of the filtering property.

  Returns:
    possible object is `Boolean`

### setFiltering

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFiltering(Boolean value)

  Sets the value of the filtering property.

  Parameters:
    `value` - allowed object is `Boolean`

### getDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDirectory()

  Gets the value of the directory property.

  Returns:
    possible object is `String`

### setDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDirectory(String value)

  Sets the value of the directory property.

  Parameters:
    `value` - allowed object is `String`

### getIncludes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Resource.Includes getIncludes()

  Gets the value of the includes property.

  Returns:
    possible object is `Resource.Includes`

### setIncludes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setIncludes(Resource.Includes value)

  Sets the value of the includes property.

  Parameters:
    `value` - allowed object is `Resource.Includes`

### getExcludes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Resource.Excludes getExcludes()

  Gets the value of the excludes property.

  Returns:
    possible object is `Resource.Excludes`

### setExcludes

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExcludes(Resource.Excludes value)

  Sets the value of the excludes property.

  Parameters:
    `value` - allowed object is `Resource.Excludes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.